Fetching data...
Developer API Reference
Build powerful integrations with our platform APIs.
Fetching data...
Build powerful integrations with our platform APIs.
Build powerful integrations with our platform APIs.
Dynamic API reference synchronized with our latest backend endpoints.
/api/v1/interviews/{id}/scheduleBypasses the candidate-facing booking portal to directly inject a calendar event (Google/Microsoft Meet) for a specific interview step.
idRequiredstringThe Interview Plan ID
step_idRequiredstringinterviewer_idRequiredstringThe user ID of the interviewer whose calendar will be used.
start_timeRequiredstringend_timestringtitlestringdescriptionstringExample Request
bashcurl -X POST "https://your-tenant.peoplelensai.com/api/v1/interviews/{id}/schedule" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"step_id":"s6fae545-c1fc-4034-8b63-a6cd5be665a3","interviewer_id":"usr-8a2bf-44ff","start_time":"2024-03-25T14:00:00Z","end_time":"2024-03-25T15:00:00Z","title":"Technical Screen - John Doe"}'Example Response
json{
"success": true,
"meetLink": "https://meet.google.com/abc-defg-hij"
}/api/v1/interviews/booking-linksRetrieve all active, unused booking links for a specific candidate. These links can be safely dispatched via third-party marketing or ATS platforms.
candidate_idstringFilter booking links by candidate ID.
Example Request
bashcurl -X GET "https://your-tenant.peoplelensai.com/api/v1/interviews/booking-links" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" Example Response
json{
"booking_links": [
{
"id": "8f5bc2f1-c423-4556-9fc6-9eeb8eebca44",
"slug": "jd-eng-4xk2",
"url": "https://app.peoplelensai.com/book/jd-eng-4xk2",
"candidate_id": "c845b4c1-4b13-432d-949d-3f5f30b9123b",
"step_id": "s6fae545-c1fc-4034-8b63-a6cd5be665a3",
"expires_at": "2024-03-25T15:00:00Z"
}
]
}/api/v1/interviews/inviteProvisions a new interview plan and returning a self-scheduling booking link for the candidate. Subject to active billing limits.
job_idRequiredstringcandidate_idRequiredstringtemplate_idstringOptional. The ID of the specific interview question template.
interviewer_user_idstringOptional. Identifies which recruiter the calendar event will be bound to. Defaults to API Key owner.
duration_minutesintegerexpires_in_daysintegerExample Request
bashcurl -X POST "https://your-tenant.peoplelensai.com/api/v1/interviews/invite" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"job_id":"string","candidate_id":"string","template_id":"string","interviewer_user_id":"string","duration_minutes":0,"expires_in_days":0}'Example Response
json{
"plan_id": "123e4567-e89b-12d3-a456-426614174000",
"step_id": "123e4567-e89b-12d3-a456-426614174000",
"booking_url": "https://example.com/resource",
"expires_at": "2026-03-01T10:36:02.800Z"
}